import { StyleSheet } from "react-native";
import { heightResponsive as H, widthResponsive as W, ScreenWidth, Color, FontSize, Font } from "@Constants";

export default StyleSheet.create({
  ctn: { flex: 1, backgroundColor: Color.Background },
  ctnScrollView: {
    paddingHorizontal: W(16),
  },
  txtHistory: {
    color: Color.Yellow,
    fontSize: FontSize.FontMedium,
    fontWeight: "400",
    fontStyle: "normal",
    fontFamily: Font.Roboto,
  },
  bgCtnQrcode: {
    justifyContent: "center",
    alignItems: "center",
    paddingVertical: H(24),
    paddingHorizontal: W(16),
    borderRadius: H(16),
    marginBottom: H(20),
    overflow: "hidden",
  },
  viewQrCodeAndShared: {
    flexDirection: "row",
    width: "100%",
    justifyContent: "space-between",
  },
  bgQrcode: {
    backgroundColor: Color.White,
    paddingHorizontal: W(12),
    paddingVertical: H(12),
    marginBottom: H(16),
  },
  btnIcon24: {
    width: W(24),
    height: H(24),
  },
  viewEmptyIC: {
    width: H(24),
  },
  txtNameAsset: {
    fontSize: FontSize.FontMedium,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    fontWeight: "700",
    color: Color.White,
    marginBottom: H(20),
    textAlign: "center",
  },
  ctnGroupButton: {
    flexDirection: "row",
    width: "100%",
  },
  justCenter: {
    justifyContent: "center",
  },
  justBetween: {
    justifyContent: "space-between",
  },
  lblButton: {
    fontSize: FontSize.FontSmaller,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    fontWeight: "500",
    lineHeight: 20,
    color: Color.TextButton,
    marginLeft: W(8),
  },
  ctnButton: {
    flexDirection: "row",
    alignItems: "center",
    justifyContent: "center",
    paddingVertical: H(8),
    borderRadius: H(10),
  },
  btnPrint: {
    backgroundColor: Color.Yellow,
    paddingHorizontal: W(16),
  },
  btnCreate: {
    paddingHorizontal: W(8),
    backgroundColor: Color.lightWhite, // css not release button
  },
  ctnInfoInventory: {
    backgroundColor: Color.TableRowBackground,
    width: "100%",
    borderRadius: H(16),
    paddingHorizontal: W(16),
    paddingTop: H(20),
    paddingBottom: H(12),
    marginBottom: H(20),
  },
  ctnInfoInventoryText: {
    marginBottom: H(16),
  },
  txtTitle: {
    fontSize: FontSize.FontMedium,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    color: Color.Yellow,
    fontWeight: "500",
    lineHeight: 24,
    textShadowColor: "rgba(0, 0, 0, 0.25)",
    textShadowRadius: 4,
    textShadowOffset: {
      width: 0,
      height: 4,
    },
    marginBottom: H(8),
  },
  txtGeneral: {
    fontSize: FontSize.FontSmaller,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    fontWeight: "400",
    lineHeight: 20,
  },
  marginRight5: {
    marginRight: W(5),
  },
  txtLabel: {
    color: Color.MedalDescription,
    marginRight: W(15),
  },
  txtValue: {
    color: Color.White,
  },
  ctnLabelAndValue: {
    width: "100%",
    flexDirection: "row",
    alignItems: "flex-start",
  },
  marginLabelAndValue: {
    marginBottom: H(16),
  },
  ctnListImage: {
    width: "100%",
    flexDirection: "row",
    flexWrap: "wrap",
    justifyContent: "space-between",
  },
  ctnImage: {
    width: W(98),
    height: W(98),
    borderRadius: H(8),
    marginBottom: H(11),
  },
  ctnImageViewMore: {
    position: "relative",
    width: W(98),
    height: W(98),
    borderRadius: H(8),
    marginBottom: H(11),
  },
  ctnRemainingAmount: {
    position: "absolute",
    backgroundColor: Color.Background,
    opacity: 0.8,
    top: 0,
    left: 0,
    width: W(98),
    height: H(98),
    borderRadius: H(8),
    alignItems: "center",
    justifyContent: "center",
  },
  txtRemainingAmount: {
    fontSize: FontSize.FontBigger,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    color: Color.White,
    fontWeight: "400",
    lineHeight: 30,
  },
  viewLabelAndValue: {
    width: (ScreenWidth - W(79)) / 2,
  },
  ctnMap: {
    width: "100%",
    borderRadius: H(16),
    overflow: "hidden",
    marginBottom: H(16),
  },
  map: {
    height: H(300),
    width: "100%",
    overflow: "hidden",
  },
  ctnInfoBasic: {
    backgroundColor: Color.TableRowBackground,
    width: "100%",
    borderRadius: H(16),
    paddingHorizontal: W(16),
    paddingVertical: H(20),
    marginBottom: H(25),
  },
  ctnInfoBasicTitle: {
    width: "100%",
    flexDirection: "row",
    justifyContent: "space-between",
    alignItems: "center",
    marginBottom: H(16),
  },
  txtTitleInfoBasic: {
    fontSize: FontSize.FontMedium,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    color: Color.Yellow,
    fontWeight: "500",
    lineHeight: 24,
    textShadowColor: "rgba(0, 0, 0, 0.25)",
    textShadowRadius: 4,
    textShadowOffset: {
      width: 0,
      height: 4,
    },
  },
  ctnBtnInventory: {
    width: "100%",
    backgroundColor: Color.Yellow,
    alignItems: "center",
    justifyContent: "center",
    borderRadius: H(10),
    paddingVertical: H(12),
  },
  btnInventory: {
    fontSize: FontSize.FontMedium,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    color: Color.TextButton,
    fontWeight: "500",
    lineHeight: 24,
  },
  imgAvatar: {
    width: W(20),
    height: H(20),
    borderRadius: 20,
    // marginRight: W(8),
  },
  ctnAvatar: {
    width: H(20),
    height: H(20),
    // marginRight: W(8),
    borderRadius: H(100),
    backgroundColor: Color.Background,
    justifyContent: "center",
    alignSelf: "center",
  },
  txtNameAvatar: {
    color: Color.White,
    textAlign: "center",
    fontSize: FontSize.FontSmaller,
    fontWeight: "700",
  },
});
